module PBM
  module Commands
    class Help
      def initialize(interpreter)
        @interpreter = interpreter
      end

      def description
        'help - displays this help'
      end

      def run
        <<-HELP.gsub(/^ {10}/, '')

          List of commands:
          -----------------

          #{@interpreter.commands.values.map(&:description).sort.join("\n")}

        HELP
      end
    end
  end
end
