module PBM
  class AllCommands
    class << self
      def load(interpreter)
        Hash[Dir[File.dirname(__FILE__) + '/commands/*.rb'].map do |file|
          require file
          command = file.split('/').last.split('.').first
          class_name = "PBM::Commands::#{command.capitalize}"
          [command.to_sym, Object.const_get(class_name).new(interpreter)]
        end]
      end
    end
  end
end
